GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "d2cdede1-2380-40f5-9574-d9d218b5e1b0",
"customer_id": "2027ca34-b450-421c-9e07-e7853bac5a3d",
"grouping_quantity": 1,
"id": "9a92e169-e9b7-4ac7-a205-7d8f1b67aa71",
"item_service_id": "81749d42-8a3f-4520-908a-524fa7f1868c",
"item_garment_type_id": "0cd7c833-61ec-4f5a-8be6-561090dbee4f",
"item_segment_id": "232efd64-8038-46ab-b335-956672c43bbc",
"item_type_id": "2b2a9c39-ede9-4e81-92d9-d24f9eaaf419",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "a11ee7ce-24c0-492f-bacf-066310dbb745",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>d2cdede1-2380-40f5-9574-d9d218b5e1b0</color_id>
<customer_id>2027ca34-b450-421c-9e07-e7853bac5a3d</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>9a92e169-e9b7-4ac7-a205-7d8f1b67aa71</id>
<item_garment_type_id>0cd7c833-61ec-4f5a-8be6-561090dbee4f</item_garment_type_id>
<item_segment_id>232efd64-8038-46ab-b335-956672c43bbc</item_segment_id>
<item_service_id>81749d42-8a3f-4520-908a-524fa7f1868c</item_service_id>
<item_type_id>2b2a9c39-ede9-4e81-92d9-d24f9eaaf419</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>a11ee7ce-24c0-492f-bacf-066310dbb745</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>